/**
 * Maa ewolucja - Gra ewolucyjno spoeczna
 *
 *	Klasa reprezentujca strukture populacji w danej rundzie.
 *
 * @author Adam Makowski
 */

package view;

public class ProportionRow
{
	/**
	 * Procentowa zawarto poszczeglnych strategii w caej populacji.
	 */
	private Double thiefs;
	private Double producers;
	private Double mutatedThiefs;
	private Double mutatedProducers;
	
	/**
	 * Czy po tej rundzie jest selekcja?
	 */
	private Boolean selection;
	
	/**
	 * Numer cyklu.
	 */
	private Long numberOfCycle;

	public ProportionRow(Double thiefs, Double producers, Double mutatedThiefs, Double mutatedProducers, Boolean selection, Long numberOfCycle) {
		super();
		this.thiefs = thiefs;
		this.producers = producers;
		this.mutatedThiefs = mutatedThiefs;
		this.mutatedProducers = mutatedProducers;
		this.selection = selection;
		this.numberOfCycle = numberOfCycle;
	}
	public Double getThiefs() {
		return thiefs;
	}
	public Double getProducers() {
		return producers;
	}
	public Double getMutatedThiefs() {
		return mutatedThiefs;
	}
	public Double getMutatedProducers() {
		return mutatedProducers;
	}

	@Override
	public String toString() {
		return "T: " + thiefs + " P: " + producers + " MT: " + mutatedThiefs + " MP: " + mutatedProducers;
	}
	public Boolean isSelection() {
		return selection;
	}
	public Long getNumberOfCycle() {
		return numberOfCycle;
	}
}