/**
 * Maa ewolucja - Gra ewolucyjno spoeczna
 *
 *	Okno raportu.
 *
 * @author Grzegorz Przytua, Adam Makowski
 */

package view;

import java.awt.Component;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.JTextPane;
import javax.swing.SwingConstants;
import javax.swing.border.EmptyBorder;
import javax.swing.filechooser.FileNameExtensionFilter;
import settings.Dictionary;
import settings.Settings;
import java.awt.SystemColor;
import javax.swing.UIManager;

@SuppressWarnings("serial")
public class ResultRaport extends JFrame {

	/**
	 * Elementy GUI
	 */
	private JPanel contentPane;
	private JPanel matrixPane;
	private JFrame reference;
	
	public JTextField thiefAmountField;
	public JTextField producerAmountField;
	public JTextField populationAmountField;
	public JTextField timeStartField;
	public JTextField timeEndField;
	public JTextField dayField;
	public JTextField percentBothThiefsField;
	public JTextField thiefBothRatioField;
	public JTextField percentBothProducersField;
	public JTextField producersBothRatioField;
	public JTextField percentMaxThiefField;
	public JTextField percentMinProducersField;
	public JTextField thiefMaxRatioField;
	public JTextField producersMinRatioField;
	public JTextField percentMinThiefField;
	public JTextField percentMaxProducersField;
	public JTextField thiefMinRatioField;
	public JTextField producersMaxRatioField;
	public JTextField thiefThiefValue1;
	public JTextField thiefThiefValue2;
	public JTextField thiefProducerValue1;
	public JTextField thiefProducerValue2;
	public JTextField producerThiefValue1;
	public JTextField producerThiefValue2;
	public JTextField producerProducerValue1;
	public JTextField producerProducerValue2;
	
	private JTextField nothing;
	private JTextField thiefTextField;
	private JTextField producerTextField;
	private JTextField thiefTextField2;
	private JTextField producerTextField2;
	private JTextField thiefThiefLabel1;
	private JTextField thiefProducerLabel2;
	private JTextField producerThiefLabel1;
	private JTextField producerThiefLabel2;
	private JTextField producerProducerLabel1;
	private JTextField producerProducerLabel2;
	private JTextField thiefThiefLabel2;
	private JTextField thiefProducerLabel1;
	
	private JTextPane dateOfSimulation;
	private JTextPane startTime;
	private JTextPane endTime;
	private JTextPane populationAmmount;
	private JTextPane thiefsTextPane;
	private JTextPane producersTextPane;
	private JTextPane populationTextPane;
	private JTextPane averageTTowTextPane;
	private JTextPane averageTTowTextPane2;
	private JTextPane txtpnMaksStosunek;

	private JLabel lblRaport;
	private JLabel percent1;
	private JLabel percent2;
	private JLabel slash1; 
	private JLabel slash2;
	private JLabel number;
	private JLabel lblProcent;
	private JLabel percent3;
	private JLabel slash3;
	private JLabel percent4;
	private JLabel slash4;
	private JLabel percent5;
	private JLabel slash5;
	private JLabel slash6;
	private JLabel matrixTitle;

	/**
	 * Konstruktor
	 */
	public ResultRaport() {
		super(Dictionary.getText("REPORT") + " (" +  MainWindow.dirCounter + ")");
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		setBounds(100, 100, 1042, 685);
		contentPane = new JPanel();
		contentPane.setForeground(SystemColor.activeCaptionText);
		contentPane.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		setResizable(false);

		ImageIcon img = new ImageIcon(ViewConsts.ICON_PATH);

		setIconImage(img.getImage());
		
		lblRaport = new JLabel(Dictionary.getText("REPORT"));
		lblRaport.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		lblRaport.setHorizontalAlignment(SwingConstants.CENTER);
		lblRaport.setFont(new Font("Tahoma", Font.BOLD, 35));
		lblRaport.setBounds(338, 11, 298, 59);
		contentPane.add(lblRaport);

		dateOfSimulation = new JTextPane();
		dateOfSimulation.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		dateOfSimulation.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		dateOfSimulation.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		dateOfSimulation.setEnabled(false);
		dateOfSimulation.setFont(new Font("Tahoma", Font.PLAIN, 24));
		dateOfSimulation.setText(Dictionary.getText("DATE"));
		dateOfSimulation.setBounds(24, 73, 508, 35);
		contentPane.add(dateOfSimulation);

		startTime = new JTextPane();
		startTime.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		startTime.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		startTime.setEnabled(false);
		startTime.setFont(new Font("Tahoma", Font.PLAIN, 24));
		startTime.setText(Dictionary.getText("BEGIN_TIME"));
		startTime.setBounds(24, 119, 194, 35);
		contentPane.add(startTime);

		endTime = new JTextPane();
		endTime.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		endTime.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		endTime.setEnabled(false);
		endTime.setText(Dictionary.getText("END_TIME"));
		endTime.setFont(new Font("Tahoma", Font.PLAIN, 24));
		endTime.setBounds(396, 119, 199, 35);
		contentPane.add(endTime);

		populationAmmount = new JTextPane();
		populationAmmount.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		populationAmmount.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		populationAmmount.setEnabled(false);
		populationAmmount.setText(Dictionary.getText("POPULATION_AMOUNT_INFO"));
		populationAmmount.setFont(new Font("Tahoma", Font.PLAIN, 24));
		populationAmmount.setBounds(24, 165, 261, 35);
		contentPane.add(populationAmmount);

		thiefsTextPane = new JTextPane();
		thiefsTextPane.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		thiefsTextPane.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefsTextPane.setEnabled(false);
		thiefsTextPane.setText(Dictionary.getText("THIEFS2"));
		thiefsTextPane.setFont(new Font("Tahoma", Font.PLAIN, 24));
		thiefsTextPane.setBounds(396, 165, 111, 35);
		contentPane.add(thiefsTextPane);

		producersTextPane = new JTextPane();
		producersTextPane.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		producersTextPane.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producersTextPane.setEnabled(false);
		producersTextPane.setText(Dictionary.getText("PRODUCERS2"));
		producersTextPane.setFont(new Font("Tahoma", Font.PLAIN, 24));
		producersTextPane.setBounds(396, 211, 111, 35);
		contentPane.add(producersTextPane);

		populationTextPane = new JTextPane();
		populationTextPane.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		populationTextPane.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		populationTextPane.setEnabled(false);
		populationTextPane.setText(" " + Dictionary.getText("TOGETHER"));
		populationTextPane.setFont(new Font("Tahoma", Font.PLAIN, 24));
		populationTextPane.setBounds(517, 165, 78, 35);
		contentPane.add(populationTextPane);

		thiefAmountField = new JTextField();
		thiefAmountField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		thiefAmountField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefAmountField.setEnabled(false);
		thiefAmountField.setHorizontalAlignment(SwingConstants.CENTER);
		thiefAmountField.setText("500");
		thiefAmountField.setFont(new Font("Tahoma", Font.PLAIN, 20));
		thiefAmountField.setBounds(295, 165, 92, 35);
		contentPane.add(thiefAmountField);
		thiefAmountField.setColumns(10);

		producerAmountField = new JTextField();
		producerAmountField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		producerAmountField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerAmountField.setEnabled(false);
		producerAmountField.setText("500");
		producerAmountField.setHorizontalAlignment(SwingConstants.CENTER);
		producerAmountField.setFont(new Font("Tahoma", Font.PLAIN, 20));
		producerAmountField.setColumns(10);
		producerAmountField.setBounds(295, 211, 92, 35);
		contentPane.add(producerAmountField);

		populationAmountField = new JTextField();
		populationAmountField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		populationAmountField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		populationAmountField.setEnabled(false);
		populationAmountField.setText("1000");
		populationAmountField.setHorizontalAlignment(SwingConstants.CENTER);
		populationAmountField.setFont(new Font("Tahoma", Font.PLAIN, 20));
		populationAmountField.setColumns(10);
		populationAmountField.setBounds(602, 165, 158, 35);
		contentPane.add(populationAmountField);

		timeStartField = new JTextField();
		timeStartField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		timeStartField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		timeStartField.setSelectionColor(Settings.getColor("REPORT_WINDOW_FONT"));
		timeStartField.setEnabled(false);
		timeStartField.setText("HH:mm:ss.SS");
		timeStartField.setHorizontalAlignment(SwingConstants.CENTER);
		timeStartField.setFont(new Font("Tahoma", Font.PLAIN, 20));
		timeStartField.setColumns(10);
		timeStartField.setBounds(228, 119, 158, 35);
		contentPane.add(timeStartField);

		timeEndField = new JTextField();
		timeEndField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		timeEndField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		timeEndField.setEnabled(false);
		timeEndField.setText("HH:mm:ss.SS");
		timeEndField.setHorizontalAlignment(SwingConstants.CENTER);
		timeEndField.setFont(new Font("Tahoma", Font.PLAIN, 20));
		timeEndField.setColumns(10);
		timeEndField.setBounds(602, 119, 158, 35);
		contentPane.add(timeEndField);

		dayField = new JTextField();
		dayField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		dayField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		dayField.setEnabled(false);
		dayField.setText("dd/MM/yyyy");
		dayField.setHorizontalAlignment(SwingConstants.CENTER);
		dayField.setFont(new Font("Tahoma", Font.PLAIN, 20));
		dayField.setColumns(10);
		dayField.setBounds(602, 73, 158, 35);
		contentPane.add(dayField);

		averageTTowTextPane = new JTextPane();
		averageTTowTextPane.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		averageTTowTextPane.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		averageTTowTextPane.setEnabled(false);
		averageTTowTextPane.setText(Dictionary.getText("AVG_TTOW"));
		averageTTowTextPane.setFont(new Font("Tahoma", Font.PLAIN, 24));
		averageTTowTextPane.setBounds(20, 527, 402, 35);
		contentPane.add(averageTTowTextPane);

		percentBothThiefsField = new JTextField();
		percentBothThiefsField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		percentBothThiefsField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		percentBothThiefsField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		percentBothThiefsField.setHorizontalAlignment(SwingConstants.CENTER);
		percentBothThiefsField.setText("100");
		percentBothThiefsField.setEnabled(false);
		percentBothThiefsField.setBounds(105, 573, 111, 35);
		contentPane.add(percentBothThiefsField);
		percentBothThiefsField.setColumns(10);

		thiefBothRatioField = new JTextField();
		thiefBothRatioField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		thiefBothRatioField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefBothRatioField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		thiefBothRatioField.setHorizontalAlignment(SwingConstants.CENTER);
		thiefBothRatioField.setText("1000");
		thiefBothRatioField.setEnabled(false);
		thiefBothRatioField.setColumns(10);
		thiefBothRatioField.setBounds(105, 610, 111, 35);
		contentPane.add(thiefBothRatioField);

		percentBothProducersField = new JTextField();
		percentBothProducersField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		percentBothProducersField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		percentBothProducersField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		percentBothProducersField.setHorizontalAlignment(SwingConstants.CENTER);
		percentBothProducersField.setText("100");
		percentBothProducersField.setEnabled(false);
		percentBothProducersField.setColumns(10);
		percentBothProducersField.setBounds(262, 573, 111, 35);
		contentPane.add(percentBothProducersField);

		producersBothRatioField = new JTextField();
		producersBothRatioField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		producersBothRatioField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producersBothRatioField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		producersBothRatioField.setHorizontalAlignment(SwingConstants.CENTER);
		producersBothRatioField.setText("1000");
		producersBothRatioField.setEnabled(false);
		producersBothRatioField.setColumns(10);
		producersBothRatioField.setBounds(226, 610, 111, 35);
		contentPane.add(producersBothRatioField);

		percent1 = new JLabel("%");
		percent1.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		percent1.setFont(new Font("Tahoma", Font.PLAIN, 25));
		percent1.setHorizontalAlignment(SwingConstants.CENTER);
		percent1.setBounds(212, 573, 40, 35);
		contentPane.add(percent1);

		percent2 = new JLabel("%");
		percent2.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		percent2.setHorizontalAlignment(SwingConstants.CENTER);
		percent2.setFont(new Font("Tahoma", Font.PLAIN, 25));
		percent2.setBounds(372, 573, 40, 35);
		contentPane.add(percent2);

		slash1 = new JLabel("/");
		slash1.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		slash1.setHorizontalAlignment(SwingConstants.CENTER);
		slash1.setFont(new Font("Tahoma", Font.PLAIN, 25));
		slash1.setBounds(238, 573, 40, 35);
		contentPane.add(slash1);

		slash2 = new JLabel("/");
		slash2.setEnabled(false);
		slash2.setHorizontalAlignment(SwingConstants.CENTER);
		slash2.setFont(new Font("Tahoma", Font.PLAIN, 25));
		slash2.setBounds(191, 566, 40, 35);
		contentPane.add(slash2);

		number = new JLabel(Dictionary.getText("NUMBER"));
		number.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		number.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		number.setFont(new Font("Tahoma", Font.PLAIN, 24));
		number.setHorizontalAlignment(SwingConstants.CENTER);
		number.setBounds(10, 611, 85, 32);
		contentPane.add(number);

		lblProcent = new JLabel(Dictionary.getText("PERCENT"));
		lblProcent.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		lblProcent.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		lblProcent.setHorizontalAlignment(SwingConstants.CENTER);
		lblProcent.setFont(new Font("Tahoma", Font.PLAIN, 24));
		lblProcent.setBounds(10, 574, 85, 32);
		contentPane.add(lblProcent);

		averageTTowTextPane2 = new JTextPane();
		averageTTowTextPane2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		averageTTowTextPane2.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		averageTTowTextPane2.setEnabled(false);
		averageTTowTextPane2.setText(Dictionary.getText("MAX_TTOW"));
		averageTTowTextPane2.setFont(new Font("Tahoma", Font.PLAIN, 24));
		averageTTowTextPane2.setBounds(432, 527, 292, 35);
		contentPane.add(averageTTowTextPane2);

		percentMaxThiefField = new JTextField();
		percentMaxThiefField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		percentMaxThiefField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		percentMaxThiefField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		percentMaxThiefField.setHorizontalAlignment(SwingConstants.CENTER);
		percentMaxThiefField.setText("100");
		percentMaxThiefField.setEnabled(false);
		percentMaxThiefField.setColumns(10);
		percentMaxThiefField.setBounds(431, 573, 111, 35);
		contentPane.add(percentMaxThiefField);

		percent3 = new JLabel("%");
		percent3.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		percent3.setHorizontalAlignment(SwingConstants.CENTER);
		percent3.setFont(new Font("Tahoma", Font.PLAIN, 25));
		percent3.setBounds(540, 573, 40, 35);
		contentPane.add(percent3);

		slash3 = new JLabel("/");
		slash3.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		slash3.setHorizontalAlignment(SwingConstants.CENTER);
		slash3.setFont(new Font("Tahoma", Font.PLAIN, 25));
		slash3.setBounds(566, 573, 40, 35);
		contentPane.add(slash3);

		percentMinProducersField = new JTextField();
		percentMinProducersField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		percentMinProducersField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		percentMinProducersField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		percentMinProducersField.setHorizontalAlignment(SwingConstants.CENTER);
		percentMinProducersField.setText("100");
		percentMinProducersField.setEnabled(false);
		percentMinProducersField.setColumns(10);
		percentMinProducersField.setBounds(593, 573, 111, 35);
		contentPane.add(percentMinProducersField);

		percent4 = new JLabel("%");
		percent4.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		percent4.setHorizontalAlignment(SwingConstants.CENTER);
		percent4.setFont(new Font("Tahoma", Font.PLAIN, 25));
		percent4.setBounds(700, 573, 40, 35);
		contentPane.add(percent4);

		thiefMaxRatioField = new JTextField();
		thiefMaxRatioField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		thiefMaxRatioField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefMaxRatioField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		thiefMaxRatioField.setHorizontalAlignment(SwingConstants.CENTER);
		thiefMaxRatioField.setText("1000");
		thiefMaxRatioField.setEnabled(false);
		thiefMaxRatioField.setColumns(10);
		thiefMaxRatioField.setBounds(432, 610, 111, 35);
		contentPane.add(thiefMaxRatioField);

		slash4 = new JLabel("/");
		slash4.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		slash4.setHorizontalAlignment(SwingConstants.CENTER);
		slash4.setFont(new Font("Tahoma", Font.PLAIN, 25));
		slash4.setBounds(529, 610, 40, 35);
		contentPane.add(slash4);

		producersMinRatioField = new JTextField();
		producersMinRatioField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		producersMinRatioField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producersMinRatioField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		producersMinRatioField.setHorizontalAlignment(SwingConstants.CENTER);
		producersMinRatioField.setText("1000");
		producersMinRatioField.setEnabled(false);
		producersMinRatioField.setColumns(10);
		producersMinRatioField.setBounds(561, 610, 111, 35);
		contentPane.add(producersMinRatioField);

		percentMinThiefField = new JTextField();
		percentMinThiefField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		percentMinThiefField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		percentMinThiefField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		percentMinThiefField.setHorizontalAlignment(SwingConstants.CENTER);
		percentMinThiefField.setText("100");
		percentMinThiefField.setEnabled(false);
		percentMinThiefField.setColumns(10);
		percentMinThiefField.setBounds(742, 573, 111, 35);
		contentPane.add(percentMinThiefField);

		percent5 = new JLabel("%");
		percent5.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		percent5.setHorizontalAlignment(SwingConstants.CENTER);
		percent5.setFont(new Font("Tahoma", Font.PLAIN, 25));
		percent5.setBounds(851, 573, 40, 35);
		contentPane.add(percent5);

		slash5 = new JLabel("/");
		slash5.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		slash5.setHorizontalAlignment(SwingConstants.CENTER);
		slash5.setFont(new Font("Tahoma", Font.PLAIN, 25));
		slash5.setBounds(877, 573, 40, 35);
		contentPane.add(slash5);

		percentMaxProducersField = new JTextField();
		percentMaxProducersField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		percentMaxProducersField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		percentMaxProducersField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		percentMaxProducersField.setHorizontalAlignment(SwingConstants.CENTER);
		percentMaxProducersField.setText("100");
		percentMaxProducersField.setEnabled(false);
		percentMaxProducersField.setColumns(10);
		percentMaxProducersField.setBounds(901, 573, 111, 35);
		contentPane.add(percentMaxProducersField);

		thiefMinRatioField = new JTextField();
		thiefMinRatioField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		thiefMinRatioField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefMinRatioField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		thiefMinRatioField.setHorizontalAlignment(SwingConstants.CENTER);
		thiefMinRatioField.setText("1000");
		thiefMinRatioField.setEnabled(false);
		thiefMinRatioField.setColumns(10);
		thiefMinRatioField.setBounds(742, 610, 111, 35);
		contentPane.add(thiefMinRatioField);

		slash6 = new JLabel("/");
		slash6.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		slash6.setHorizontalAlignment(SwingConstants.CENTER);
		slash6.setFont(new Font("Tahoma", Font.PLAIN, 25));
		slash6.setBounds(840, 610, 40, 35);
		contentPane.add(slash6);

		producersMaxRatioField = new JTextField();
		producersMaxRatioField.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		producersMaxRatioField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producersMaxRatioField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		producersMaxRatioField.setHorizontalAlignment(SwingConstants.CENTER);
		producersMaxRatioField.setText("1000");
		producersMaxRatioField.setEnabled(false);
		producersMaxRatioField.setColumns(10);
		producersMaxRatioField.setBounds(872, 610, 111, 35);
		contentPane.add(producersMaxRatioField);

		matrixPane = new JPanel();
		matrixPane.setLayout(null);
		matrixPane.setBackground(Settings.getColor("PAYOFF_MATRIX_REPORT_COLOR"));
		matrixPane.setBounds(24, 260, 960, 243);
		contentPane.add(matrixPane);

		matrixTitle = new JLabel(Dictionary.getText("MATRIX"));
		matrixTitle.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		matrixTitle.setHorizontalAlignment(SwingConstants.CENTER);
		matrixTitle.setFont(new Font("Tahoma", Font.BOLD, 30));
		matrixTitle.setBounds(10, 10, 908, 36);
		matrixPane.add(matrixTitle);

		nothing = new JTextField();
		nothing.setBorder(null);
		nothing.setBackground(Settings.getColor("PAYOFF_MATRIX_REPORT_FIELDS_COLOR"));
		nothing.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		nothing.setEnabled(false);
		nothing.setColumns(10);
		nothing.setBounds(10, 55, 305, 50);
		matrixPane.add(nothing);

		thiefTextField = new JTextField();
		thiefTextField.setBorder(null);
		thiefTextField.setBackground(Settings.getColor("PAYOFF_MATRIX_REPORT_FIELDS_COLOR"));
		thiefTextField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefTextField.setText(Dictionary.getText("THIEF"));
		thiefTextField.setHorizontalAlignment(SwingConstants.CENTER);
		thiefTextField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		thiefTextField.setEnabled(false);
		thiefTextField.setColumns(10);
		thiefTextField.setBounds(331, 55, 305, 50);
		matrixPane.add(thiefTextField);

		producerTextField = new JTextField();
		producerTextField.setBorder(null);
		producerTextField.setBackground(Settings.getColor("PAYOFF_MATRIX_REPORT_FIELDS_COLOR"));
		producerTextField.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerTextField.setText(Dictionary.getText("PRODUCER"));
		producerTextField.setHorizontalAlignment(SwingConstants.CENTER);
		producerTextField.setFont(new Font("Tahoma", Font.PLAIN, 24));
		producerTextField.setEnabled(false);
		producerTextField.setColumns(10);
		producerTextField.setBounds(646, 55, 302, 50);
		matrixPane.add(producerTextField);

		thiefTextField2 = new JTextField();
		thiefTextField2.setBorder(null);
		thiefTextField2.setBackground(Settings.getColor("PAYOFF_MATRIX_REPORT_FIELDS_COLOR"));
		thiefTextField2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefTextField2.setText(Dictionary.getText("THIEF"));
		thiefTextField2.setHorizontalAlignment(SwingConstants.CENTER);
		thiefTextField2.setFont(new Font("Tahoma", Font.PLAIN, 24));
		thiefTextField2.setEnabled(false);
		thiefTextField2.setColumns(10);
		thiefTextField2.setBounds(10, 117, 305, 50);
		matrixPane.add(thiefTextField2);

		producerTextField2 = new JTextField();
		producerTextField2.setBorder(null);
		producerTextField2.setBackground(Settings.getColor("PAYOFF_MATRIX_REPORT_FIELDS_COLOR"));
		producerTextField2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerTextField2.setText(Dictionary.getText("PRODUCER"));
		producerTextField2.setHorizontalAlignment(SwingConstants.CENTER);
		producerTextField2.setFont(new Font("Tahoma", Font.PLAIN, 24));
		producerTextField2.setEnabled(false);
		producerTextField2.setColumns(10);
		producerTextField2.setBounds(10, 179, 305, 50);
		matrixPane.add(producerTextField2);

		thiefThiefLabel1 = new JTextField();
		thiefThiefLabel1.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefThiefLabel1.setText(Dictionary.getText("TXT_1"));
		thiefThiefLabel1.setHorizontalAlignment(SwingConstants.CENTER);
		thiefThiefLabel1.setFont(new Font("Tahoma", Font.PLAIN, 14));
		thiefThiefLabel1.setEnabled(false);
		thiefThiefLabel1.setColumns(10);
		thiefThiefLabel1.setBounds(331, 117, 235, 24);
		matrixPane.add(thiefThiefLabel1);

		thiefThiefValue1 = new JTextField();
		thiefThiefValue1.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefThiefValue1.setEnabled(false);
		thiefThiefValue1.setText("-25");
		thiefThiefValue1.setHorizontalAlignment(SwingConstants.CENTER);
		thiefThiefValue1.setFont(new Font("Tahoma", Font.PLAIN, 16));
		thiefThiefValue1.setColumns(10);
		thiefThiefValue1.setBounds(570, 117, 66, 24);
		matrixPane.add(thiefThiefValue1);

		thiefThiefValue2 = new JTextField();
		thiefThiefValue2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefThiefValue2.setEnabled(false);
		thiefThiefValue2.setText("-25");
		thiefThiefValue2.setHorizontalAlignment(SwingConstants.CENTER);
		thiefThiefValue2.setFont(new Font("Tahoma", Font.PLAIN, 16));
		thiefThiefValue2.setColumns(10);
		thiefThiefValue2.setBounds(570, 143, 66, 24);
		matrixPane.add(thiefThiefValue2);

		thiefProducerLabel2 = new JTextField();
		thiefProducerLabel2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefProducerLabel2.setText(Dictionary.getText("TXT_2"));
		thiefProducerLabel2.setHorizontalAlignment(SwingConstants.CENTER);
		thiefProducerLabel2.setFont(new Font("Tahoma", Font.PLAIN, 14));
		thiefProducerLabel2.setEnabled(false);
		thiefProducerLabel2.setColumns(10);
		thiefProducerLabel2.setBounds(331, 205, 235, 24);
		matrixPane.add(thiefProducerLabel2);

		thiefProducerValue1 = new JTextField();
		thiefProducerValue1.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefProducerValue1.setEnabled(false);
		thiefProducerValue1.setText("0");
		thiefProducerValue1.setHorizontalAlignment(SwingConstants.CENTER);
		thiefProducerValue1.setFont(new Font("Tahoma", Font.PLAIN, 16));
		thiefProducerValue1.setColumns(10);
		thiefProducerValue1.setBounds(570, 179, 66, 24);
		matrixPane.add(thiefProducerValue1);

		thiefProducerValue2 = new JTextField();
		thiefProducerValue2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefProducerValue2.setEnabled(false);
		thiefProducerValue2.setText("50");
		thiefProducerValue2.setHorizontalAlignment(SwingConstants.CENTER);
		thiefProducerValue2.setFont(new Font("Tahoma", Font.PLAIN, 16));
		thiefProducerValue2.setColumns(10);
		thiefProducerValue2.setBounds(570, 205, 66, 24);
		matrixPane.add(thiefProducerValue2);

		producerThiefLabel1 = new JTextField();
		producerThiefLabel1.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerThiefLabel1.setText(Dictionary.getText("TXT_2"));
		producerThiefLabel1.setHorizontalAlignment(SwingConstants.CENTER);
		producerThiefLabel1.setFont(new Font("Tahoma", Font.PLAIN, 14));
		producerThiefLabel1.setEnabled(false);
		producerThiefLabel1.setColumns(10);
		producerThiefLabel1.setBounds(646, 117, 235, 24);
		matrixPane.add(producerThiefLabel1);

		producerThiefLabel2 = new JTextField();
		producerThiefLabel2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerThiefLabel2.setText(Dictionary.getText("TXT_3"));
		producerThiefLabel2.setHorizontalAlignment(SwingConstants.CENTER);
		producerThiefLabel2.setFont(new Font("Tahoma", Font.PLAIN, 14));
		producerThiefLabel2.setEnabled(false);
		producerThiefLabel2.setColumns(10);
		producerThiefLabel2.setBounds(646, 143, 235, 24);
		matrixPane.add(producerThiefLabel2);

		producerProducerLabel1 = new JTextField();
		producerProducerLabel1.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerProducerLabel1.setText(Dictionary.getText("TXT_4"));
		producerProducerLabel1.setHorizontalAlignment(SwingConstants.CENTER);
		producerProducerLabel1.setFont(new Font("Tahoma", Font.PLAIN, 14));
		producerProducerLabel1.setEnabled(false);
		producerProducerLabel1.setColumns(10);
		producerProducerLabel1.setBounds(646, 179, 235, 24);
		matrixPane.add(producerProducerLabel1);

		producerProducerLabel2 = new JTextField();
		producerProducerLabel2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerProducerLabel2.setText(Dictionary.getText("TXT_4"));
		producerProducerLabel2.setHorizontalAlignment(SwingConstants.CENTER);
		producerProducerLabel2.setFont(new Font("Tahoma", Font.PLAIN, 14));
		producerProducerLabel2.setEnabled(false);
		producerProducerLabel2.setColumns(10);
		producerProducerLabel2.setBounds(646, 205, 235, 24);
		matrixPane.add(producerProducerLabel2);

		producerThiefValue1 = new JTextField();
		producerThiefValue1.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerThiefValue1.setEnabled(false);
		producerThiefValue1.setText("50");
		producerThiefValue1.setHorizontalAlignment(SwingConstants.CENTER);
		producerThiefValue1.setFont(new Font("Tahoma", Font.PLAIN, 16));
		producerThiefValue1.setColumns(10);
		producerThiefValue1.setBounds(882, 117, 66, 24);
		matrixPane.add(producerThiefValue1);

		producerThiefValue2 = new JTextField();
		producerThiefValue2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerThiefValue2.setEnabled(false);
		producerThiefValue2.setText("0");
		producerThiefValue2.setHorizontalAlignment(SwingConstants.CENTER);
		producerThiefValue2.setFont(new Font("Tahoma", Font.PLAIN, 16));
		producerThiefValue2.setColumns(10);
		producerThiefValue2.setBounds(882, 143, 66, 24);
		matrixPane.add(producerThiefValue2);

		producerProducerValue1 = new JTextField();
		producerProducerValue1.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerProducerValue1.setEnabled(false);
		producerProducerValue1.setText("15");
		producerProducerValue1.setHorizontalAlignment(SwingConstants.CENTER);
		producerProducerValue1.setFont(new Font("Tahoma", Font.PLAIN, 16));
		producerProducerValue1.setColumns(10);
		producerProducerValue1.setBounds(882, 179, 66, 24);
		matrixPane.add(producerProducerValue1);

		producerProducerValue2 = new JTextField();
		producerProducerValue2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		producerProducerValue2.setEnabled(false);
		producerProducerValue2.setText("15");
		producerProducerValue2.setHorizontalAlignment(SwingConstants.CENTER);
		producerProducerValue2.setFont(new Font("Tahoma", Font.PLAIN, 16));
		producerProducerValue2.setColumns(10);
		producerProducerValue2.setBounds(882, 205, 66, 24);
		matrixPane.add(producerProducerValue2);

		thiefThiefLabel2 = new JTextField();
		thiefThiefLabel2.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefThiefLabel2.setText(Dictionary.getText("TXT_1"));
		thiefThiefLabel2.setHorizontalAlignment(SwingConstants.CENTER);
		thiefThiefLabel2.setFont(new Font("Tahoma", Font.PLAIN, 14));
		thiefThiefLabel2.setEnabled(false);
		thiefThiefLabel2.setColumns(10);
		thiefThiefLabel2.setBounds(331, 143, 235, 24);
		matrixPane.add(thiefThiefLabel2);

		thiefProducerLabel1 = new JTextField();
		thiefProducerLabel1.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		thiefProducerLabel1.setText(Dictionary.getText("TXT_3"));
		thiefProducerLabel1.setHorizontalAlignment(SwingConstants.CENTER);
		thiefProducerLabel1.setFont(new Font("Tahoma", Font.PLAIN, 14));
		thiefProducerLabel1.setEnabled(false);
		thiefProducerLabel1.setColumns(10);
		thiefProducerLabel1.setBounds(331, 179, 235, 24);
		matrixPane.add(thiefProducerLabel1);

		txtpnMaksStosunek = new JTextPane();
		txtpnMaksStosunek.setDisabledTextColor(Settings.getColor("REPORT_WINDOW_FONT"));
		txtpnMaksStosunek.setBackground(Settings.getColor("BACKGROUND_REPORT"));
		txtpnMaksStosunek.setEnabled(false);
		txtpnMaksStosunek.setText(Dictionary.getText("MIN_TTOW"));
		txtpnMaksStosunek.setFont(new Font("Tahoma", Font.PLAIN, 24));
		txtpnMaksStosunek.setBounds(742, 527, 292, 35);
		contentPane.add(txtpnMaksStosunek);

		reference = this;
		JButton btnScreenshot = new JButton("<html><center>" + Dictionary.getText("SAVE_SS") + "</center></html>");
		btnScreenshot.setBorder(UIManager.getBorder("Button.border"));
		btnScreenshot.setForeground(Settings.getColor("REPORT_WINDOW_FONT"));
		btnScreenshot.setBackground(Settings.getColor("SAVE_SS_BUTTON_COLOR"));
		btnScreenshot.setFont(new Font("Tahoma", Font.PLAIN, 20));
		btnScreenshot.setBounds(780, 73, 203, 125);
		contentPane.add(btnScreenshot);
		
		/**
		 * Zrobienie zrzutu raportu.
		 */
		btnScreenshot.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				BufferedImage bi = getScreenShot(reference);
				try {
					JFileChooser chooser = new JFileChooser();

					FileNameExtensionFilter filter = new FileNameExtensionFilter("JPG & GIF Images", "jpg", "gif");

					chooser.setFileFilter(filter);

					chooser.setSelectedFile(new File("raportImage" + MainWindow.dirCounter + ".jpg"));

					int tmp = chooser.showSaveDialog((Component) e.getSource());

					if (tmp == JFileChooser.APPROVE_OPTION) {
						String path = chooser.getSelectedFile().getPath();

						ImageIO.write(bi, "jpg", new File(path));
					}
				} catch (IOException ex) {
					ex.printStackTrace();
				}
			}
		});
	}

	/**
	 * Pobierz zrzut okna.
	 */
	private BufferedImage getScreenShot(JFrame frame){
	        BufferedImage bi = new BufferedImage(frame.getWidth(), frame.getHeight(), BufferedImage.TYPE_INT_RGB);
	        frame.paint(bi.getGraphics());
	        return bi;
	    }

	/**
	 * Stwrz teksty do macierzy wypat.
	 */
	private String parseMyText(String s) {
		Double i = Double.valueOf(s);
		if (i == 0)
			return " " + Dictionary.getText("QVO");
		else if (i < 0)
			return " " + Dictionary.getText("LOSES") + " " + String.valueOf(i * (-1));
		else
			return " " + Dictionary.getText("GAINS") + " " + i;
	}

	/**
	 * Przygotuj teksty w macierzy wypat.
	 */
	public void parseStrings()
	{
		thiefThiefLabel1.setText(Dictionary.getText("THIEF3") + parseMyText(thiefThiefValue1.getText()));
		thiefThiefLabel2.setText(Dictionary.getText("THIEF3") + parseMyText(thiefThiefValue2.getText()));
		producerProducerLabel1.setText(Dictionary.getText("PRODUCER3") + parseMyText(producerProducerValue1.getText()));
		producerProducerLabel2.setText(Dictionary.getText("PRODUCER3") + parseMyText(producerProducerValue1.getText()));
		thiefProducerLabel1.setText(Dictionary.getText("PRODUCER3") + parseMyText(thiefProducerValue1.getText()));
		thiefProducerLabel2.setText(Dictionary.getText("THIEF3") + parseMyText(producerThiefValue1.getText()));
		producerThiefLabel1.setText(Dictionary.getText("THIEF3") + parseMyText(producerThiefValue1.getText()));
		producerThiefLabel2.setText(Dictionary.getText("PRODUCER3") + parseMyText(thiefProducerValue1.getText()));
	}
}
